<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/Comments/Translator/Translator.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.Comments.Translator.Translator</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Processors.html" >Processors</a>.<a href="../../Comments.html" >Comments</a>.<a href="../Translator.html" >Translator</a>
</div><div class="class-name">class Translator

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Processors/Comments/Translator.py.html" target="detail">../Synopsis/Processors/Comments/Translator.py</a></div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Translator.Translator" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Translator.py.html#line13" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Translator-inheritance" src="Translator-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Translator-inheritance_map" />
<map name="Translator-inheritance_map"></map>
 <div class="doc">A Translator translates comments into documentation.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="filter">filter</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Translator.py.html#line16" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="processor">processor</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Translator.py.html#line17" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="markup">markup</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Translator.py.html#line18" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="concatenate">concatenate</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Translator.py.html#line19" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="primary_only">primary_only</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Translator.py.html#line20" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Translator.Translator.process" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Translator.py.html#line22" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Translator.html#visit_declaration" >visit_declaration</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Translator.Translator.visit_declaration" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Translator.py.html#line37" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Map comments to a doc string.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declaration">visit_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Translator.Translator.visit_declaration" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Translator.py.html#line37" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Map comments to a doc string.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:07 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
